aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/gsl/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/gsl/APKBUILD b/testing/gsl/APKBUILD
new file mode 100644
index 0000000000..fd4ba6ff8c
--- /dev/null
+++ b/testing/gsl/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gsl
+pkgver=1.14
+pkgrel=0
+pkgdesc="The GNU Scientific Library (GSL) is a modern numerical library for C and C++ programmers"
+url="http://www.gnu.org/software/gsl/gsl.html"
+license="GPL"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.belnet.be/mirror/ftp.gnu.org/gnu/gsl/gsl-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d55e7b141815412a072a3f0e12442042 gsl-1.14.tar.gz"